package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.RmMonitorConfig;

/**
 * 监控配置Mapper接口
 * 
 * @author gyt
 * @date 2025-11-12
 */
public interface RmMonitorConfigMapper 
{
    /**
     * 查询监控配置
     * 
     * @param id 监控配置主键
     * @return 监控配置
     */
    public RmMonitorConfig selectRmMonitorConfigById(Long id);

    /**
     * 查询监控配置列表
     * 
     * @param rmMonitorConfig 监控配置
     * @return 监控配置集合
     */
    public List<RmMonitorConfig> selectRmMonitorConfigList(RmMonitorConfig rmMonitorConfig);

    /**
     * 新增监控配置
     * 
     * @param rmMonitorConfig 监控配置
     * @return 结果
     */
    public int insertRmMonitorConfig(RmMonitorConfig rmMonitorConfig);

    /**
     * 修改监控配置
     * 
     * @param rmMonitorConfig 监控配置
     * @return 结果
     */
    public int updateRmMonitorConfig(RmMonitorConfig rmMonitorConfig);

    /**
     * 删除监控配置
     * 
     * @param id 监控配置主键
     * @return 结果
     */
    public int deleteRmMonitorConfigById(Long id);

    /**
     * 批量删除监控配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmMonitorConfigByIds(Long[] ids);
}
